package org.dromara.system.service.pay;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.system.domain.pay.bo.XiaoyuanPayBo;
import org.dromara.system.domain.pay.vo.XiaoyuanPayVo;
import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 教职工工资条Service接口
 *
 * @author boman
 * @date 2023-09-05
 */
public interface IXiaoyuanPayService {

    /**
     * 查询教职工工资条
     */
    XiaoyuanPayVo queryById(Long payId);

    /**
     * 查询教职工工资条列表
     */
    Page<XiaoyuanPayVo> queryPageList(XiaoyuanPayBo bo, PageQuery pageQuery);

    /**
     * 查询教职工工资条列表
     */
    List<XiaoyuanPayVo> queryList(XiaoyuanPayBo bo);

    /**
     * 新增教职工工资条
     */
    Boolean insertByBo(XiaoyuanPayBo bo);

    /**
     * 修改教职工工资条
     */
    Boolean updateByBo(XiaoyuanPayBo bo);

    /**
     * 校验并批量删除教职工工资条信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    /**
     * 教职工工资表导入数据
     * @param maps
     */
    void importData(List<Map<String, String>> maps);
}
